Public Member Functions | Private Attributes | List of all members
libebook::TDTextParser::SaveAttribute Class Reference

## Public Member Functions
| SaveAttribute (Attributes_t &attributes, const string &attributeName, const string &attributeValue)
void | operator() (const char *first, const char *last) const

## Private Attributes
Attributes_t & | m_attributes
const string & | m_attributeName
const string & | m_attributeValue

## Constructor & Destructor Documentation

## § SaveAttribute()

libebook::TDTextParser::SaveAttribute::SaveAttribute | ( | Attributes_t & | attributes,
|  | const string & | attributeName,
|  | const string & | attributeValue
| ) |  |

## Member Function Documentation

## § operator()()

void libebook::TDTextParser::SaveAttribute::operator() | ( | const char * | first,
|  | const char * | last
| ) |  | const

## Member Data Documentation

## § m_attributeName

const string& libebook::TDTextParser::SaveAttribute::m_attributeName
| private

Referenced by operator()().

## § m_attributes

Attributes_t& libebook::TDTextParser::SaveAttribute::m_attributes
| private

Referenced by operator()().

## § m_attributeValue

const string& libebook::TDTextParser::SaveAttribute::m_attributeValue
| private

Referenced by operator()().

The documentation for this class was generated from the following file:

- TDParser.cpp